document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_4100 | ---
+++
@@ -1,2 +1,2 @@
#!/bin/sh
-protoc -I=./api/pokemon --go_out=./api/pokemon ./api/pokemon/pokemon.proto
+protoc -I=./api/pokemon --go_out=plugins=grpc:./api/pokemon ./api/pokemon/pokemon.proto | bash |
d_bash_4101 | ---
+++
@@ -17,7 +17,7 @@
function install_packages {
to_install=()
for pkg in "$@"; do
- installed=$(/usr/bin/dpkg-query --show --showformat='${db:Status-Status}\n' $pkg 2>&1 | grep -ci installed)
+ installed=$(/usr/bin/dpkg-query --show --showformat='${db:Status-Status}\n' $pkg 2>&1 | grep ... | bash |
d_bash_4102 | ---
+++
@@ -30,5 +30,5 @@
CHROME_SRC_BASE_DIR="/usr/local/google/home/vakh/work/chrome/src"
[ "$0" = "$BASH_SOURCE" ] && RebuildCtags \
- "${CHROME_SRC_BASE_DIR}/components/safe_browsing_db" \
+ "${CHROME_SRC_BASE_DIR}/components/safe_browsing" \
"${CHROME_SRC_BASE_DIR}/chrome/browser/safe_browsing" | bash |
d_bash_4103 | ---
+++
@@ -1,22 +1,29 @@
#!/usr/bin/env bash
#
# Install required dependencies
-# $ANDROID_HOME must be set to be cached on CI setup
+# sdkmanager can be found in $ANDROID_HOME/tools/bin/sdkmanager
#
-DEPS_FILE="$ANDROID_HOME/android-dependencies-installed"
+# Accept licences
+# src http://vgaidarji.me/blog/20... | bash |
d_bash_4104 | ---
+++
@@ -7,7 +7,7 @@
ccache -s
echo "Installing dependencies"
-sudo apt-get install libunwind8-dev libsdl2-dev libboost-locale-dev libboost-filesystem-dev libboost-program-options-dev libegl1-mesa-dev libgles2-mesa-dev -y
+sudo apt-get install libunwind8-dev libsdl2-dev libboost-locale-dev libboost-filesystem-... | bash |
d_bash_4105 | ---
+++
@@ -1,4 +1,4 @@
-sudo apt-get install python-virtualenv python-dev
+sudo apt-get install python-virtualenv python-dev libssl-dev
virtualenv env
. env/bin/activate
pip install pysqlcipher | bash |
d_bash_4106 | ---
+++
@@ -4,3 +4,4 @@
mkdir -p /root/stratux-update
cd /root/stratux-update
mv -f /var/log/stratux.sqlite /var/log/stratux.sqlite.`date +%s`
+rm -f /var/log/stratux.sqlite-wal /var/log/stratux.sqlite-shm | bash |
d_bash_4107 | ---
+++
@@ -5,6 +5,7 @@
sudo apt-get update -qq
sudo apt-get install -qq ocaml ocaml-native-compilers camlp4-extra opam
sudo apt-get install -qq "llvm-$LLVM_VERSION" libgc-dev clang
+sudo apt-get install -qq python-cram
export OPAMYES=1
opam init
eval `opam config env` | bash |
d_bash_4108 | ---
+++
@@ -12,12 +12,12 @@
TMPDIR=$(mktemp -d /tmp/dft.XXXXXX)
SQL_COMMAND_FILE=${TMPDIR}/dft.sql
cat <<EOF >> ${SQL_COMMAND_FILE}
-DROP TABLE IF EXISTS sentences_input_with_holdout;
-CREATE TABLE sentences_input_with_holdout AS (
+DROP TABLE IF EXISTS sentences_input_with_holdout_g;
+CREATE TABLE sentences_input... | bash |
d_bash_4109 | ---
+++
@@ -19,6 +19,54 @@
local status=$?
assertEquals 'output' "$output" 'Issue #1 created.'
+ assertEquals 'status code' $status 0
+}
+
+testNewWithTitle()
+{
+ local output
+
+ git issue init -q
+ output="$(git issue new 'Issue title' 2>&1)"
+ local status=$?
+
+ assertEquals 'output... | bash |
d_bash_4110 | ---
+++
@@ -4,7 +4,7 @@
SCRIPTPATH="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)/$(basename "${BASH_SOURCE[0]}")"
DIRNAME="$(dirname ${SCRIPTPATH})"
-NOISE="${DIRNAME}/target/debug/noise"
+NOISE="${DIRNAME}/target/debug/noise_search"
REPL_TEST_DIR="${DIRNAME}/repl-tests"
if [[ ! -f "${NOISE}" ]]; then | bash |
d_bash_4111 | ---
+++
@@ -25,6 +25,11 @@
if test "$vidTimestamp" -lt "$threshold"
then
mkdir -p $basePath/processed/$date/$camName
- mv $path $basePath/processed/$date/$camName/$time.mkv
+
+ # need to do a codec copy here since foscam cameras make some kind of corrupt mkv file
+ # ffmpeg fixes it so mkvmerge can operate ... | bash |
d_bash_4112 | ---
+++
@@ -42,10 +42,9 @@
conda create -y --prefix ./env \
python=${PYTHON_VERSION} \
numpy \
- tensorflow\
+ tensorflow \
jupyterlab \
- pytest \
- -c conda-forge
+ pytest
echo << EOM
Anaconda virtualenv installed in ./env. | bash |
d_bash_4113 | ---
+++
@@ -7,8 +7,9 @@
#SBATCH -t 0-4:00
#SBATCH -o render-%j.out
#SBATCH -e render-%j.err
-
-export RSTUDIO_PANDOC="/n/sw/fasrcsw/apps/Core/rstudio/0.98.1103-fasrc01/bin/pandoc/"
+
+module load pandoc
+export RSTUDIO_PANDOC="/n/sw/fasrcsw/apps/Core/pandoc/2.0.2-fasrc01/bin/pandoc/"
# change filename to Rmd t... | bash |
d_bash_4114 | ---
+++
@@ -9,3 +9,10 @@
# Install puppet/facter
apt-get install -y puppet facter
rm -f puppetlabs-release-"$CODENAME".deb
+
+# Disable Puppet agent on systemd
+# PuppetLabs has the service disabled per default
+if which systemctl >/dev/null; then
+ systemctl stop puppet
+ systemctl disable puppet
+fi | bash |
d_bash_4115 | ---
+++
@@ -8,7 +8,7 @@
if [[ "$TRAVIS_EVENT_TYPE" == "push" ]]
then
if [[ "$TASK" != "sbt-test-common" &&
- "$TASK" != "test-lambdas" &&
+ "$TASK" != "lambdas-test" &&
"$TASK" != "loris-build" ]]
then
TASK="${TASK/build/deploy}" | bash |
d_bash_4116 | ---
+++
@@ -25,9 +25,11 @@
python3-setuptools \
python3-networkx \
dirmngr
-
-pip3 install wheel
-pip3 install pytest
-pip3 install pytest-xdist
-pip3 install sh
-pip3 install bidict
+
+pip3 install --upgrade pip
+python3 -m pip install absl-py
+python3 -m pip install bidict
+python3 -m pip install... | bash |
d_bash_4117 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/bash
export RAILS_ENV=production
-bundle exec rackup sidekiq-admin.ru -p 3000 -E production &
+bundle exec rackup sidekiq-admin.ru -p 3000 -E production -o 0.0.0.0 &
bundle exec sidekiq -l /var/log/sidekiq.log --environment production | bash |
d_bash_4118 | ---
+++
@@ -19,4 +19,21 @@
texlive-most texlive-lang texmaker \
brasero
+
+
+## Install 'yaourt' for AUR packages
+
+# Install 'package-query' (dependency of yaourt)
+curl -O https://aur.archlinux.org/cgit/aur.git/snapshot/package-query.tar.gz
+tar -xvzf package-query.tar.gz
+cd package-query
+makepkg -si
+cd ..
... | bash |
d_bash_4119 | ---
+++
@@ -1,5 +1,8 @@
homeshick link vim
-brew install neovim
+brew install \
+ git\
+ neovim \
+ thesilversearcher \
# https://robots.thoughtbot.com/my-life-with-neovim
mkdir -p ${XDG_CONFIG_HOME:=$HOME/.config} | bash |
d_bash_4120 | ---
+++
@@ -6,7 +6,7 @@
#
# Return if requirements are not found.
-if [[ "$OSTYPE" != darwin* ]]; then
+if [[ "$OSTYPE" != (darwin|linux)* ]]; then
return 1
fi
| bash |
d_bash_4121 | ---
+++
@@ -2,7 +2,7 @@
# generate the site
./hugoThemeSiteScript/generateThemeSite.sh https://davidyorr.github.io/hugo-orchid-theme/
-hugo -s hugoThemeSite/themeSite
+hugo -s hugoThemeSite/themeSite -b https://davidyorr.github.io/hugo-orchid-theme
# clone master into a temp directory
TMP_DIR=temp | bash |
d_bash_4122 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh
-tar xzvf hyperdex-1.3.dev-linux-amd64.tar.gz -C /usr/local
+tar xzvf hyperdex-1.5.dev-linux-amd64.tar.gz -C /usr/local
export PATH=/usr/local/hyperdex/bin:${PATH}
hyperdex --version | bash |
d_bash_4123 | ---
+++
@@ -3,7 +3,7 @@
set -e
DOC_FOLDER="docs"
-MAIN_BRANCH="zenika_dev"
+MAIN_BRANCH="zenika-dev"
UPSTREAM="https://$GITHUB_TOKEN@github.com/$TRAVIS_REPO_SLUG.git"
MESSAGE="Rebuild doc for revision $TRAVIS_COMMIT: $TRAVIS_COMMIT_MESSAGE"
AUTHOR="$USER <>" | bash |
d_bash_4124 | ---
+++
@@ -12,7 +12,7 @@
RUN sudo apt-get install -qq cmake "llvm-$LLVM_VERSION" libgc-dev
# Check OPAM package description
-RUN opam lint *.opam
+RUN opam lint --warn=-48-21-32 *.opam
# Install & tests
RUN opam pin add -y --no-action --kind=git cervoise . | bash |
d_bash_4125 | ---
+++
@@ -2,7 +2,7 @@
set -eux
-BOOST_VERSIONS=(1.58.0 1.59.0 1.60.0 1.61.0 1.62.0 1.63.0)
+BOOST_VERSIONS=(1.58.0 1.59.0 1.60.0 1.61.0 1.62.0 1.63.0 1.64.0)
BOOST_LIBRARIES="chrono,date_time,python,system,test,thread"
BUILD_ROOT=/root/boosts | bash |
d_bash_4126 | ---
+++
@@ -24,3 +24,9 @@
drush @<%= projectName %> variable-set features_rebuild_on_flush 0 -y --exact
# Export the file. See /etc/drushrc.php for additional configuration defaults.
drush @<%= projectName %> sql-dump --gzip --ordered-dump --result-file="$FILE" -yv
+
+# Maintain a symlink to the most recently gene... | bash |
d_bash_4127 | ---
+++
@@ -13,12 +13,12 @@
echo "Adapt image name"
echo "IMG_NAME=DigOnPi" > ${BASE_DIR}/config
-# Speed up build: Remove build tools from image
+echo "Speed up build: Remove build tools from image"
sed -i "/build-essential manpages-dev python bash-completion gdb pkg-config/d" ${BASE_DIR}/stage2/01-sys-tweaks/0... | bash |
d_bash_4128 | ---
+++
@@ -3,7 +3,15 @@
INITIAL_DIR=`pwd`
SOURCE_DIR=$(dirname "$0")
BUILD_DIR=build
-NUM_CORES=`nproc`
+
+# Default 'make' to a number of jobs equal to CPU threads, but lower it
+# if the memory available is too low, to avoid a lock up (e.g for RPi)
+NUM_JOBS=`nproc`
+MEM_AVAIL=`grep MemAvailable /proc/meminfo |... | bash |
d_bash_4129 | ---
+++
@@ -1,3 +1,5 @@
+#!/bin/bash
+
# Clean and recreate environment
cd /dcos-helloworld
make clean env | bash |
d_bash_4130 | ---
+++
@@ -1,3 +1,3 @@
-export DOCKER_IMAGES_VERSION=${DOCKER_IMAGES_VERSION:-21}
+export DOCKER_IMAGES_VERSION=${DOCKER_IMAGES_VERSION:-22}
export TESTS_HIVE_VERSION_MAJOR=${TESTS_HIVE_VERSION_MAJOR:-1}
export HADOOP_BASE_IMAGE=${HADOOP_BASE_IMAGE:-"prestodev/hdp2.6-hive"} | bash |
d_bash_4131 | ---
+++
@@ -2,17 +2,30 @@
PATCH_DIR=`pwd`/src/ozone/patches/
HACKING_BRANCH=master-ozone
+HACKING_OZONE_BRANCH=master-ozonewayland
+RELEASE_BRANCH=branch_2062
+RELEASE_OZONE_BRANCH=Milestone-Spring
echo "Ozone-Wayland: patching Chromium"
cd src/
# we switch to $HACKING_BRANCH before anything
-git checkout ... | bash |
d_bash_4132 | ---
+++
@@ -18,6 +18,7 @@
rm $MSBUILD_INSTALL_BIN_DIR/*UnitTests*
rm $MSBUILD_INSTALL_BIN_DIR/*xunit*
+rm $MSBUILD_INSTALL_BIN_DIR/NuGet*
cp -R nuget-support/tv/ $XBUILD_DIR/$MSBUILD_TOOLSVERSION
cp -R nuget-support/tasks-targets/ $XBUILD_DIR/ | bash |
d_bash_4133 | ---
+++
@@ -1,3 +1,5 @@
if [ -x /usr/libexec/java_home ]; then
export JAVA_HOME=`/usr/libexec/java_home -v 1.6`
fi
+
+export JAVA_TOOLS_OPTS="-Dfile.encoding=UTF8" | bash |
d_bash_4134 | ---
+++
@@ -39,7 +39,5 @@
mkdir $build_path/.profile.d
local export_line="export PATH=\$HOME/.platform_tools:\$HOME/.platform_tools/erlang/bin:\$HOME/.platform_tools/elixir/bin:\$PATH"
- echo "Export statement:"
- echo $export_line
echo $export_line >> $build_path/.profile.d/elixir_buildpack_paths.sh
} | bash |
d_bash_4135 | ---
+++
@@ -10,7 +10,8 @@
source ../Common.sh
chdir local
-csvDir=~/walliserdeutsch/dict
+# Temporary
+csvDir=/idiap/group/speech/databases/walliserdeutsch/dicts
./lexicon.rb -p dictionary.txt $csvDir/*.csv
dict-man.rb -p phones.txt dictionary.txt | bash |
d_bash_4136 | ---
+++
@@ -3,7 +3,7 @@
git clone https://github.com/geramirez/concourse-filter &>/dev/null
pushd concourse-filter
go build &>/dev/null
- CREDENTIAL_FILTER_PARAMS=STACKS,DEPLOYMENT_NAME,SSH_AGENT_PID,CF_EDGE,IAAS,RUBYGEM_MIRROR,BOSH_LITE_NAME,AZURE_BOSH_USER,BOSH_USER,LANGUAGE,CI_CF_USERNAME,BOSH_TARGET,BOSH_LI... | bash |
d_bash_4137 | ---
+++
@@ -1,4 +1,5 @@
#!/usr/bin/env bash
+set -xe
./generate_ui.sh
| bash |
d_bash_4138 | ---
+++
@@ -20,3 +20,4 @@
ifconfig lo 127.0.0.1
ifconfig $network_container_iface $network_container_ip netmask $network_netmask
+route add default gw $network_host_ip $network_container_iface | bash |
d_bash_4139 | ---
+++
@@ -1,7 +1,4 @@
#!/bin/sh
-
-# Stop interface generation if running on Travis-CI
-[ "$USER" = "travis" ] && exit 0
[ -z "$SRCROOT" -o -z "$TARGET_TEMP_DIR" ] && exit 1
| bash |
d_bash_4140 | ---
+++
@@ -1,5 +1,8 @@
#!/usr/bin/env bash
-# Run arping in duplicate address detection mode for specified destination
+#
+# Send 2 ARP REQUEST broadcast packets and alert if:
+# 1. There are no replies.
+# 2. There is more than 1 MAC address in the replies.
while getopts 'I:d:' OPT; do
case "$OPT" in
@@ ... | bash |
d_bash_4141 | ---
+++
@@ -1,4 +1,3 @@
-alias ag='alias | grep'
alias cdbl='cd $HOME/Dropbox/Sites/chatswood.org.uk/blog'
alias cddf='cd $HOME/.dotfiles'
alias cddr='cd $HOME/Dropbox' | bash |
d_bash_4142 | ---
+++
@@ -13,12 +13,6 @@
echo "You must run this script in the top-level checkout directory"
exit 1
}
-
-# Clone and update Jasmine submodule if this is a Git checkout
-if test -d .git; then
- git submodule init .
- git submodule update --recursive
-fi
# GNU gettext automake support doesn't get ... | bash |
d_bash_4143 | ---
+++
@@ -12,11 +12,13 @@
sudo dpkg -i firefox.deb
sudo rm firefox.deb
-cd /opt/stack/new/horizon
+HORIZON_DIR=/opt/stack/new/horizon
+pushd $HORIZON_DIR
sudo -H -E -u stack tox -e py27integration
retval=$?
if [ -d openstack_dashboard/test/integration_tests/test_reports/ ]; then
- cp -r openstack_dashboar... | bash |
d_bash_4144 | ---
+++
@@ -11,7 +11,7 @@
killall mongod
echo "Start mongo..."
- mongod --dbpath data/db --logpath ./data/db/mongo.log --port 27021 &
+ mongod --dbpath data/db --logpath ./data/db/mongo.log --port 27020 &
echo "Start node..."
nohup node server.js & | bash |
d_bash_4145 | ---
+++
@@ -3,7 +3,10 @@
echo -n "Branch name: "
read name
-echo -n "Create the branch \"$name\"? [y/n] "
+echo -n "Based on branch: "
+read base
+
+echo -n "Create the branch \"$name\" based on \"$base\"? [y/n] "
read answer
if [[ "$answer" != "y" ]]
@@ -11,6 +14,6 @@
exit;
fi
-
+git branch $name $ba... | bash |
d_bash_4146 | ---
+++
@@ -2,6 +2,10 @@
# Install apps, tools, dependencies
install/install.sh
+
+# Fix for file names containing spaces
+SAVEIFS=$IFS
+IFS=$(echo -en "\n\b")
# Link config files
pth=`pwd`/link/
@@ -33,9 +37,12 @@
pth=`pwd`/sublime/
for fname in `ls -A $pth`
do
- target_file="$target_dir$fname"
- ln -s ... | bash |
d_bash_4147 | ---
+++
@@ -1,6 +1,7 @@
#! /bin/bash
+rm -rf bin
ant clean release
cp bin/EmailPopup-unsigned.apk bin/EmailPopup-signed.apk
-jarsigner -verbose -keystore ../../projects/Email\ Popup/misc/blntsoft-android.keystore bin/EmailPopup-signed.apk blntsoft-android
+jarsigner -verbose -keystore ../../Documents/projects/Em... | bash |
d_bash_4148 | ---
+++
@@ -1,4 +1,9 @@
export VIRTUALENVWRAPPER_PYTHON=`which python2 || which python`
export WORKON_HOME=$HOME/virtual_envs
-mkdir -p $WORKON_HOME
+
+if [[ ! -e "$WORKON_HOME" ]]; then
+ $VIRTUALENVWRAPPER_PYTHON -m pip install --user virtualenvwrapper
+ mkdir -p $WORKON_HOME
+fi
+
source `which virtualenv... | bash |
d_bash_4149 | ---
+++
@@ -29,6 +29,8 @@
echo "Preparing the database"
cd test; sh prepare_test || die "database preparation failure"; cd -;
+PATH=./node_modules/mocha/bin:$PATH
+
echo "Running tests"
mocha -u tdd \
test/acceptance/server.js \ | bash |
d_bash_4150 | ---
+++
@@ -2,24 +2,23 @@
make doc
rm -rf doc/rst && mkdir doc/rst
-pandoc --read=html --write=rst doc/leo_object_storage_api.html -o doc/rst/leo_object_storage_api.rst
-pandoc --read=html --write=rst doc/leo_object_storage_haystack.html -o doc/rst/leo_object_storage_haystack.rst
-pandoc --read=html --write=rst d... | bash |
d_bash_4151 | ---
+++
@@ -14,4 +14,4 @@
$(dirname $0)/convert-iso2709-to-json.sh $MARCPATH > $JSONPATH
#curl -XPUT -H "Content-Type:application/json" "http://devlab.libris.kb.se/whelks-core/$TYPE/$ID" --data-binary @$JSONPATH
-curl -XPUT -H "Content-Type:application/json" "http://localhost:8080/$TYPE/$ID" --data-binary @$JSONP... | bash |
d_bash_4152 | ---
+++
@@ -4,6 +4,7 @@
# Update terminal/tmux window titles based on location/command
function update_title() {
+ local a
# escape '%' in $1, make nonprintables visible
a=${(V)1//\%/\%\%}
a=$(print -n "%20>...>$a" | tr -d "\n") | bash |
d_bash_4153 | ---
+++
@@ -6,11 +6,11 @@
title=$1
message=$2
- if [[ -n "$(type terminal-notifier 2> /dev/null)" ]]; then
+ if type terminal-notifier &> /dev/null; then
(terminal-notifier -title "$title" -message "$message" &)
elif [[ "$(uname -s)" == "Darwin" ]]; then
osascript -e "display notification \"$me... | bash |
d_bash_4154 | ---
+++
@@ -25,13 +25,6 @@
sudo apt-get install gobject-introspection libgtk-3-dev
sudo apt-get install ${packages}
- if [ ${TRAVIS_PYTHON_VERSION%.*} -eq 3 ]
- then
- python3 test/gi_imports.py
- else
- python test/gi_imports.py
- fi
-
####### OS X Build #######
else
| bash |
d_bash_4155 | ---
+++
@@ -1,6 +1,8 @@
platform_family() {
echo $PATISSIER_PLATFORM_FAMILY
}
+
+[[ -z $PATISSIER_PLATFORM_FAMILY ]] || return
if test -f '/etc/arch-release'; then
PATISSIER_PLATFORM_FAMILY='arch' | bash |
d_bash_4156 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-usage="./model_backup.sh MODELFILE BACKUPDIR (run in dir of original file)"
+usage="./model_backup.sh MODELFILE BACKUPDIR"
if [ "$#" -ne 2 ]
then | bash |
d_bash_4157 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/sh
git pull origin master
+yarn install
yarn build
node node_modules/sequelize-cli/lib/sequelize db:migrate --url "$DATABASE_URL"
service docker-ndo restart | bash |
d_bash_4158 | ---
+++
@@ -16,4 +16,4 @@
fi
-make test-ci
+make test | bash |
d_bash_4159 | ---
+++
@@ -3,7 +3,7 @@
set -e
if [[ $# -ne 1 ]]; then
- echo 'expected one argument; either "master" or "worker"'
+ echo 'expected one argument: "master", "worker", or "proxy"'
exit 1
fi
@@ -21,16 +21,19 @@
done
case ${service,,} in
+ master)
+ bin/alluxio format
+ integration/docker/bin/allux... | bash |
d_bash_4160 | ---
+++
@@ -8,6 +8,13 @@
IOT_CORE_DEVICE_NAME="${1}" && shift
COMMAND_PATH="${1}" && shift
+echo "Copying mosquitto configuration files where expected..."
+MOSQUITTO_PUB_SUB_CONFIG_DIRECTORY_PATH="${HOME}"/.config
+MOSQUITTO_PUB_SUB_CONFIG_FILE_PATH="/etc/mosquitto/mosquitto"
+mkdir -p "${MOSQUITTO_PUB_SUB_CONFIG... | bash |
d_bash_4161 | ---
+++
@@ -1,4 +1,14 @@
#!/bin/bash
+if [ "$SHOW_PRODUCTION_IMAGES"=="" ]; then
+ echo "You're not showing production images. "
+ echo
+ echo "If you want to, then run like this instead:"
+ echo
+ echo "$ SHOW_PRODUCTION_IMAGES=1 ./startup.sh"
+else
+ echo "Showing production images"
+fi
+echo
bundle ins... | bash |
d_bash_4162 | ---
+++
@@ -1,3 +1,3 @@
#!/bin/bash
-sh -c 'if find . -name "*.php" ! -path "./vendor/*" -exec php -l {} 2>&1 \; | grep "syntax error, unexpected"; then exit 1; fi'
-sh -c 'if find . -name "*.ctp" ! -path "./vendor/*" -exec php -l {} 2>&1 \; | grep "syntax error, unexpected"; then exit 1; fi'
+if find . -name "*.php... | bash |
d_bash_4163 | ---
+++
@@ -1,39 +1,12 @@
#!/bin/bash
set -eu -o pipefail
-# shellcheck disable=SC1091
-OS_ID=$(
- . /etc/os-release
- echo "$ID"
-)
-readonly OS_ID
-# shellcheck disable=SC1091
-OS_VERSION=$(
- . /etc/os-release
- echo "$VERSION"
-)
-readonly OS_VERSION
-
echo 'Install OCI CLI'
-if [[ ${OS_ID:-} == 'ol' && ... | bash |
d_bash_4164 | ---
+++
@@ -10,11 +10,11 @@
# Build and start container
docker build -t albertyw.com:production .
-docker stop $(docker ps -q --filter ancestor=albertyw.com:production ) || echo
-docker run --detach --restart always -p 127.0.0.1:5000:5000 albertyw.com:production
+docker stop albertyw.com || echo
+docker container... | bash |
d_bash_4165 | ---
+++
@@ -42,8 +42,8 @@
cd ../../
rm -r build2
-if [ `cat /tmp/myliveenh-expected` != `cat /tmp/mylivenh-actual` ]; then
- diff /tmp/myliveenh-expected /tmp/mylivenh-actual
+diff /tmp/myliveenh-expected /tmp/mylivenh-actual
+if [ "$?" != "0" ]; then
echo Test failed
exit 1
fi | bash |
d_bash_4166 | ---
+++
@@ -17,3 +17,4 @@
$CC $CFLAGS -DFuzzerTestOneInput=LLVMFuzzerTestOneInput -c -g BUILD/fuzz/$f.c -I BUILD/include
$CXX $CXXFLAGS $f.o BUILD/libssl.a BUILD/libcrypto.a $LIB_FUZZING_ENGINE -lgcrypt -o $EXECUTABLE_NAME_BASE-$f
done
+cp $EXECUTABLE_NAME_BASE-bignum $EXECUTABLE_NAME_BASE | bash |
d_bash_4167 | ---
+++
@@ -12,11 +12,13 @@
# $ sasswatch my_style.scss
# sass [...] --watch "my_style.scss:my_style.css"
- if [[ "${#}" -eq 1 ]]; then
+ if [[ "${#}" -eq 1 ]] && [[ "${1}" != *":"* ]]; then
arg="${1}"
arg="${arg/.css/}"
arg="${arg/.scss/}"
command="${arg}.scs... | bash |
d_bash_4168 | ---
+++
@@ -1,7 +1,8 @@
if [ -r $HOME/.zplug/zplug ]; then
source $HOME/.zplug/zplug
- zplug 'themes/ys', from:oh-my-zsh
+ zplug 'mafredri/zsh-async'
+ zplug 'sindresorhus/pure'
zplug 'mollifier/anyframe'
zplug 'b4b4r07/enhancd', of:enhancd.sh
zplug 'zsh-users/zsh-completions' | bash |
d_bash_4169 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/bash
+cd "$(dirname "$0")"
cd ../
rm -f ForEachUpdate.md package.json
rm -rf integration-tests node_modules scripts | bash |
d_bash_4170 | ---
+++
@@ -24,4 +24,4 @@
chmod u+w /srv/vmail
# Add password file
-RUN cp /passwords /etc/dovecot/passwd
+cp /mailbase/passwords /etc/dovecot/passwd | bash |
d_bash_4171 | ---
+++
@@ -3,8 +3,6 @@
pkg_version=$(cat "$PLAN_CONTEXT/../../VERSION")
pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>"
pkg_license=('Apache-2.0')
-pkg_source=nosuchfile.tar.gz
-pkg_build_deps=()
pkg_bin_dirs=(bin)
pkg_deps=(
@@ -42,21 +40,3 @@
do_install() {
install -D $program $pkg_prefix/b... | bash |
d_bash_4172 | ---
+++
@@ -1,7 +1,5 @@
#!/bin/bash
set -e
-
-echo "$*" > /input.txt
if [[ "$*" == npm*start* ]]; then
for dir in "$GHOST_SOURCE/content"/*/; do | bash |
d_bash_4173 | ---
+++
@@ -1,5 +1,5 @@
if which swiftlint >/dev/null; then
- swiftlint
+ swiftlint autocorrect
else
echo "warning: SwiftLint not installed, download from https://github.com/realm/SwiftLint"
fi | bash |
d_bash_4174 | ---
+++
@@ -1,6 +1,9 @@
#!/bin/bash
bundle install
+
+rm -rf tmp/cache/file_store
+
rake db:create
rake db:migrate
rake db:seed | bash |
d_bash_4175 | ---
+++
@@ -23,7 +23,8 @@
# Check for symlinks to directories in bin and
# append them to the path. This is useful when linking in
# a suite such as flutter or android SDK.
-for local elem in $USER_BIN/*; do
+local elem
+for elem in $USER_BIN/*; do
if [[ -L "$elem" && -d "$elem" ]]
then
USER_BI... | bash |
d_bash_4176 | ---
+++
@@ -10,6 +10,9 @@
docker-compose exec db mysql -e "GRANT ALL ON test_nuremberg_dev.* TO nuremberg"
docker-compose exec -T db mysql -unuremberg test_nuremberg_dev < nuremberg/core/tests/data.sql
+echo "Migrating databases"
+docker-compose exec web python manage.py migrate
+
echo "Setting up solr index (sl... | bash |
d_bash_4177 | ---
+++
@@ -32,8 +32,6 @@
unzip javadoc.zip -d javadoc
rm javadoc.zip
-exit 0
-
# Stage all files in git and create a commit
git add .
git add -u | bash |
d_bash_4178 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
echo "[-] mounting truecrypt volumes"
-sudo truecrypt --auto-mount=favorites --keyfiles=/mnt/secret/down_secret
+sudo truecrypt --auto-mount=favorites --keyfiles=./mnt-secret/secret/down_secret
cp -H ~/scripts/gtk-bookmarks ~/.config/gtk-3.0/bookmarks
echo "[+] mounting done"
| bash |
d_bash_4179 | ---
+++
@@ -3,5 +3,5 @@
set -euf
IFS=''
-sudo apt-get update
-sudo apt-get upgrade
+sudo /usr/bin/apt-get update
+sudo /usr/bin/apt-get upgrade | bash |
d_bash_4180 | ---
+++
@@ -12,7 +12,7 @@
PATH="$PATH:$HOME/.cargo/bin"
PATH="$PATH:$HOME/Library/Python/2.7/bin"
PATH="$PATH:$HOME/perl5/bin";
-
+ PATH="$PATH:$(yarn global bin)"
export PATH
MANPATH="/usr/local/man:$MANPATH" | bash |
d_bash_4181 | ---
+++
@@ -14,7 +14,7 @@
mkdir -p "$ES_LOGS" "$ES_DATA" "$WORK_DIR" && chown -R "$ES_USER":"$ES_GROUP" "$ES_LOGS" "$ES_DATA" "$WORK_DIR"
shift
- exec gosu "$ES_USER:$ES_GROUP" "$NAME" $OPTS "$@"
+ set -- gosu "$ES_USER:$ES_GROUP" "$NAME" $OPTS "$@"
fi
exec "$@" | bash |
d_bash_4182 | ---
+++
@@ -1,3 +1,20 @@
#!/bin/sh
-sudo apt-get install zsh meld ack-grep ruby clang build-essential git mercurial
-sudo ln -s /usr/bin/ack-grep /usr/bin/ack
+set -e
+set -x
+
+sudo apt update
+sudo apt install -y zsh meld build-essential git vim silversearch-ag libelf-dev dkms curl
+
+cp -i vimrc ~/.vimrc
+cp -i -... | bash |
d_bash_4183 | ---
+++
@@ -2,24 +2,18 @@
set -e
export PULL_REQUEST=${PULL_REQUEST:-true}
-echo $PULL_REQUEST
export BRANCH=${BRANCH:-master}
-echo $BRANCH
export TAG=${TAG:-latest}
-echo $TAG
export DOCKER_ORG=${DOCKER_ORG:-$USER}
-echo $DOCKER_ORG
export DOCKER_REGISTRY=${DOCKER_REGISTRY:-docker.io}
-echo $DOCKER_REGISTRY... | bash |
d_bash_4184 | ---
+++
@@ -1,9 +1,30 @@
function init_git_repo {
- git init $BATS_TEST_DIRNAME
+ # Warn and do nothing if test dir envvar is unset
+ if [ -z $BATS_TEST_DIRNAME ]; then
+ echo "WARNING: Required envvar \$BATS_TEST_DIRNAME is unset"
+ # Warn and do nothing if test git repo path already exists
+ elif [ -e $BAT... | bash |
d_bash_4185 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env bash
-workon python2.7
+. ~/.virtualenvs/python2.7/bin/activate
python -m unittest discover pystache/tests | bash |
d_bash_4186 | ---
+++
@@ -12,16 +12,19 @@
# The location of the `hosts` script being tested.
export _HOSTS="${BATS_TEST_DIRNAME}/../hosts"
- export HOSTS_PATH="$(mktemp /tmp/hosts_test.XXXXXX)" || exit 1
- cat "${BATS_TEST_DIRNAME}/fixtures/hosts" > "${HOSTS_PATH}"
+ export _HOSTS_TEMP_PATH
+ _HOSTS_TEMP_PATH="$(mktemp... | bash |
d_bash_4187 | ---
+++
@@ -7,9 +7,9 @@
# Set LS_COLORS variable
if [[ -z "${LS_COLORS}" ]]; then
if type dircolors &>/dev/null; then
- eval "$(dircolors)"
+ eval "$(dircolors -b)"
elif type gdircolors &>/dev/null; then
- eval "$(gdircolors)"
+ eval "$(gdircolors -b)"
fi
fi
| bash |
d_bash_4188 | ---
+++
@@ -3,5 +3,5 @@
openssl aes-256-cbc -K $encrypted_291cb5a97669_key -iv $encrypted_291cb5a97669_iv -in release/codesigning.asc.enc -out release/codesigning.asc -d
gpg --fast-import release/codesigning.asc
-mvn versions:set -P proprietary-deps -DnewVersion=$TRAVIS_TAG
-mvn deploy -P proprietary-deps,sign,bu... | bash |
d_bash_4189 | ---
+++
@@ -14,4 +14,4 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-zip -r doi.zip . -x ".git*" ".jshintrc" "output_styles.sh" "styles/*" "locales/*" "citeproc-js/*" "*README.md" "*Readme.md" "*Readme.markdown" "zip_extension.sh" "doi.zip" "*LICENSE*"
... | bash |
d_bash_4190 | ---
+++
@@ -6,6 +6,15 @@
REMOTE="$USERNAME@$HOSTNAME"
set -ex
+
+# https://crashingdaily.wordpress.com/2007/06/29/rsync-and-sudo-over-ssh/
+# Raspbian pi user configured for non-interactive sudo by default
+
+# add ssh-key to raspberry pi for non-interactive login
+# https://www.raspberrypi.org/documentation/remo... | bash |
d_bash_4191 | ---
+++
@@ -1,7 +1,7 @@
# vim:set ft=sh:
# favor GNU utilities provided by homebrew over MacOS versions
-gnu_pkgs=(coreutils findutils gnu-sed)
+gnu_pkgs=(coreutils findutils gnu-sed grep)
for gnu_pkg in ${gnu_pkgs}; do
if [ -d /usr/local/opt/${gnu_pkg}/libexec/gnubin ]; then | bash |
d_bash_4192 | ---
+++
@@ -16,6 +16,7 @@
--exclude='duplicate of.*_test.go.*\(dupl\)$' \
--exclude='client.go:.*level can be fmt.Stringer' \
--exclude='client.go:.*source can be fmt.Stringer' \
+ --exclude='error: no formatting directive in Logf call \(vet\)$' \
--disable=aligncheck \
--disable=gotype \
--disable=gas \ | bash |
d_bash_4193 | ---
+++
@@ -17,4 +17,4 @@
alias gb='git branch'
alias gs='git status -sb' # upgrade your git if -sb breaks for you. it's fun.
alias grm="git status | grep deleted | awk '{\$1=\$2=\"\"; print \$0}' | \
- sed 's/^[ \t]*//' | sed 's/ /\\\\ /g' | xargs git rm"
+ perl -pe 's/^[ \t]*//' | sed 's/ /\\... | bash |
d_bash_4194 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
# Inspired by http://benlimmer.com/2013/12/26/automatically-publish-javadoc-to-gh-pages-with-travis-ci/
-if [ "${TRAVIS_PULL_REQUEST}" == "false" ] && [ "${TRAVIS_JDK_VERSION}" == "oraclejdk7" ]; then
+if [ "${TRAVIS_PULL_REQUEST}" == "false" ] && [ "${TRAVIS_JDK_VERSION}" == "... | bash |
d_bash_4195 | ---
+++
@@ -17,7 +17,17 @@
exit
}
function deploy_files() {
+ check_dry_run ;
echo "Deploying files from $ARG1 to $ARG2"
+}
+function deploy_database() {
+ check_dry_run ;
+ echo "Deploying database from $ARG1 to $ARG2"
+}
+function check_dry_run() {
+ if [ "$DEPLOY_DRY_RUN" = true ] ; then
+ ... | bash |
d_bash_4196 | ---
+++
@@ -6,4 +6,4 @@
$BASE/new/devstack/exercises/designate.sh
# Run the Designate Tempest tests
-sudo ./run_tempest_tests.sh
+#sudo ./run_tempest_tests.sh | bash |
d_bash_4197 | ---
+++
@@ -16,6 +16,7 @@
yes | $(brew --prefix)/opt/fzf/install
# Set default applications
duti -s com.qvacua.VimR .txt all
+ duti -s org.videolan.vlc .mp4 all
else
echo "Not on macOS. Skipping mac packages."
fi | bash |
d_bash_4198 | ---
+++
@@ -16,8 +16,8 @@
fi
cmds=()
-cmds[0]="watch -n .2 ./show_setup.sh -vir $IFACE_CLIENTS"
-#cmds[1]="watch -n .2 ./show_setup.sh -vir $IFACE_SERVERA"
+cmds[0]="watch -n .2 ./show_setup.sh -v $IFACE_CLIENTS"
+#cmds[1]="watch -n .2 ./show_setup.sh -v $IFACE_SERVERA"
sn="setup-$(date +%s)"
| bash |
d_bash_4199 | ---
+++
@@ -1,6 +1,6 @@
#! /bin/bash -ex
-export BUILD_DIR=${BUILD_DIR:-/data/socorro}
+export BUILD_DIR=${BUILD_DIR:-builds/socorro}
# package up the tarball in $BUILD_DIR
# create base directories | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.